Customer Wallets

Get Customer Wallet

GET/v1/customers/{customer_uuid}/wallets/{wallet_uuid}/

Authorization

X-Api-Key
string required
API key generated in the Developers section of the Stablegate app. Send it in the X-Api-Key header on every request; the partner API does not require request signing.

Path parameters

wallet_uuid
string<uuid> required
Customer wallet UUID
customer_uuid
string<uuid> required
Customer UUID

Responses

Successful Response

uuid
string<uuid> required
name
string | null
rail
string | null
One of: bitcoin, ethereum, algorand, polygon, ripple, xinfin, stellar, tron
address
string | null
status
string required
One of: active, sanctioned
verified_at
string<date-time> | string | null
created_at
string<date-time> required
updated_at
string<date-time> required
curl https://api.stablegate.com/v1/customers/CUSTOMER_UUID/wallets/WALLET_UUID/ \
  --header 'X-Api-Key: YOUR_API_KEY'
{
  "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "name": "string",
  "rail": "bitcoin",
  "address": "string",
  "status": "active",
  "verified_at": "2026-01-01T00:00:00Z",
  "created_at": "2026-01-01T00:00:00Z",
  "updated_at": "2026-01-01T00:00:00Z"
}
Copyright © 2026